simpletype(nsuri, nsprefix, minmax, attributegroup, simpletype) ::= <<
<xsd:complexType name="$simpletype.customtype$" >
   $annotation(simpletype.annotation)$
   <xsd:simpleContent>
      <xsd:extension base="$nsprefix$:$simpletype.customtype$--SIMPLE">
         $simpletype.pseudobasetype:{x | <xsd:attributeGroup ref="$nsprefix$:$x$"/>}; separator="\n"$
         $if(simpletype.simpleattribute)$
         <xsd:attributeGroup ref="$nsprefix$:$simpletype.customtype$"/>
         $endif$         
      </xsd:extension>
   </xsd:simpleContent>
</xsd:complexType>
$if(simpletype.simpleattribute)$
$attributegroup$
$endif$
<xsd:simpleType name="$simpletype.customtype$--SIMPLE">
   $if(simpletype.restrictions)$
   <xsd:restriction base="xsd:$simpletype.basetype$">
   $if(simpletype.mininclusive)$
      <xsd:minInclusive value="$simpletype.mininclusive$"/>
   $endif$
   $if(simpletype.minexclusive)$
      <xsd:minExclusive value="$simpletype.minexclusive$"/>
   $endif$
   $if(simpletype.maxexclusive)$
      <xsd:maxExclusive value="$simpletype.maxexclusive$"/>
   $endif$
   $if(simpletype.maxinclusive)$
      <xsd:maxInclusive value="$simpletype.maxinclusive$"/>
   $endif$
   $if(simpletype.totaldigits)$
      <xsd:totalDigits value="$simpletype.totaldigits$"/>
   $endif$
   $if(simpletype.fractiondigits)$
      <xsd:fractionDigits value="$simpletype.fractiondigits$"/>
   $endif$
   $if(simpletype.len)$
      <xsd:length value="$simpletype.len$"/>
   $endif$
   $if(simpletype.minlength)$
      <xsd:minLength value="$simpletype.minlength$"/>
   $endif$
   $if(simpletype.maxlength)$
      <xsd:maxLength value="$simpletype.maxlength$"/>
   $endif$
   $if(simpletype.whitespace)$
      <xsd:whiteSpace value="$simpletype.whitespace$"/>
   $endif$
   $if(simpletype.pattern)$
      <xsd:pattern value="$simpletype.pattern$"/>
   $endif$
   </xsd:restriction>
   $else$
   <xsd:restriction base="xsd:$simpletype.basetype$"/>
   $endif$
</xsd:simpleType>
>>