/**
 * <copyright>
 * 
 * Copyright (c) Continental AG and others.
 * All rights reserved. This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 
 * which accompanies this distribution, and is
 * available at http://www.eclipse.org/org/documents/epl-v10.php
 * 
 * Contributors: 
 *     Continental AG - Initial API and implementation
 * 
 * </copyright>
 */
package eaadapter.xsd.model;

/**
 * Specialisation of the type <code>EAXSDClassType</code>
 */
public class CustomClassType extends EAXSDClassType {
    
    /**
     * Returns <code>true</code> if this classtype contains at least one element attribute.
     *
     * @return   <code>true</code> <=> This classtype contains at least one element attribute.
     */
    public boolean isEmpty() {
        return getElementattributes().isEmpty();
    }
}
