annotation(annotation) ::= <<
<xsd:annotation>
$if(annotation.documentation)$
   <xsd:documentation>$annotation.documentation; format="xml"$</xsd:documentation>
$endif$
$if(first(annotation.tag))$
   <xsd:appinfo source="tags">$annotation.tag:{x | $x.key$="$x.value$"}; separator=";"$</xsd:appinfo>
$endif$
$if(first(annotation.stereotype))$
   <xsd:appinfo source="stereotypes">$annotation.stereotype:{x | $x$}; separator=","$</xsd:appinfo>
$endif$
$if(first(annotation.constraints))$
   $annotation.constraints:{x | <xsd:appinfo source="constraint_$x.id$">$x.longName; format="xml"$ &#8968;$x.body; format="xml"$&#8971;</xsd:appinfo>}; separator="\n"$
$endif$
</xsd:annotation>
>>