package eaadapter.emf.codegen.ecore.templates.model;

import org.eclipse.emf.codegen.ecore.genmodel.*;
import eaadapter.templates.internal.util.GenModels;
import java.util.Iterator;

public class Package
{
  protected static String nl;
  public static synchronized Package create(String lineSeparator)
  {
    nl = lineSeparator;
    Package result = new Package();
    nl = null;
    return result;
  }

  public final String NL = nl == null ? (System.getProperties().getProperty("line.separator")) : nl;
  protected final String TEXT_1 = "";
  protected final String TEXT_2 = "/**";
  protected final String TEXT_3 = NL + " * ";
  protected final String TEXT_4 = NL + " * <copyright>" + NL + " * </copyright>" + NL + " *" + NL + " * ";
  protected final String TEXT_5 = "Id";
  protected final String TEXT_6 = NL + " */" + NL + "package ";
  protected final String TEXT_7 = ";";
  protected final String TEXT_8 = NL;
  protected final String TEXT_9 = NL + NL + "/**" + NL + " * <!-- begin-user-doc -->" + NL + " * The <b>Package</b> for the model." + NL + " * It contains accessors for the meta objects to represent" + NL + " * <ul>" + NL + " *   <li>each class,</li>" + NL + " *   <li>each feature of each class,</li>" + NL + " *   <li>each enum,</li>" + NL + " *   <li>and each data type</li>" + NL + " * </ul>" + NL + " * <!-- end-user-doc -->" + NL + " */" + NL + "public class ";
  protected final String TEXT_10 = " extends ";
  protected final String TEXT_11 = " {" + NL + "" + NL + "" + NL + "\tpublic static final String eNAME = \"";
  protected final String TEXT_12 = "\"; //$NON-NLS-1$" + NL + "\t" + NL + "\tpublic static final String eNS_URI = \"";
  protected final String TEXT_13 = "\"; //$NON-NLS-1$" + NL + "\t" + NL + "\tpublic static final String eCONTENT_TYPE = \"";
  protected final String TEXT_14 = ".";
  protected final String TEXT_15 = "XMLFile\"; //$NON-NLS-1$" + NL + "\t" + NL + "\tpublic static final ";
  protected final String TEXT_16 = " eINSTANCE = init();" + NL + "\t" + NL + "\tprotected EList<EClassifier> eClassifiers = new BasicEList<EClassifier>();" + NL + "\t" + NL + "\tstatic ";
  protected final String TEXT_17 = " init() {" + NL + "\t\t";
  protected final String TEXT_18 = " the";
  protected final String TEXT_19 = "= (";
  protected final String TEXT_20 = ")(EPackage.Registry.INSTANCE.getEPackage(eNS_URI) instanceof ";
  protected final String TEXT_21 = " ? EPackage.Registry.INSTANCE.getEPackage(eNS_URI) : new ";
  protected final String TEXT_22 = "());" + NL + "\t\t" + NL + "\t\t// Initialize package" + NL + "\t\tthe";
  protected final String TEXT_23 = ".setNsURI(eNS_URI);" + NL + "\t\tthe";
  protected final String TEXT_24 = ".setName(eNAME);" + NL + "\t\t" + NL + "\t\t// Create resource" + NL + "\t\tthe";
  protected final String TEXT_25 = ".createResource(eNS_URI);" + NL + "\t\t" + NL + "\t\treturn the";
  protected final String TEXT_26 = ";" + NL + "\t}" + NL + "\t" + NL + "\t/**" + NL + "\t * " + NL + "\t */" + NL + "\tprivate ";
  protected final String TEXT_27 = "()" + NL + "\t{" + NL + "\t\tsuper(eNS_URI, ";
  protected final String TEXT_28 = ".eINSTANCE);" + NL + "\t\tEAnnotation annotation = EcoreFactory.eINSTANCE.createEAnnotation();" + NL + "\t\tannotation.getDetails().put(\"name\", name); //$NON-NLS-1$" + NL + "\t\tannotation.setSource(ExtendedMetaData.ANNOTATION_URI);" + NL + "\t\tgetEAnnotations().add(annotation);" + NL + "\t}" + NL + "\t" + NL + "\t@Override" + NL + "\tpublic EList<EClassifier> getEClassifiers()" + NL + "\t{" + NL + "\t\tsynchronized (this)" + NL + "\t\t{" + NL + "\t\t\tif (eClassifiers.size() == 0)" + NL + "\t\t\t{";
  protected final String TEXT_29 = NL + "\t\t    ";
  protected final String TEXT_30 = NL + "\t\t\t  ";
  protected final String TEXT_31 = NL + "\t\t\t  eClassifiers.addAll(";
  protected final String TEXT_32 = ".";
  protected final String TEXT_33 = ".";
  protected final String TEXT_34 = ".eINSTANCE.getEClassifiers());" + NL + "\t\t\t";
  protected final String TEXT_35 = NL + "\t\t\t}" + NL + "\t\t\treturn eClassifiers;" + NL + "\t\t}" + NL + "\t}" + NL + "}";

  public String generate(Object argument)
  {
    final StringBuffer stringBuffer = new StringBuffer();
    
/**
 * <copyright>
 * 
 * Copyright (c) Continental AG and others.
 * All rights reserved. This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 
 * which accompanies this distribution, and is
 * available at http://www.eclipse.org/org/documents/epl-v10.php
 * 
 * Contributors: 
 *     Continental AG - Initial API and implementation
 * 
 * </copyright>
 */

    GenPackage genPackage = (GenPackage)argument; GenModel genModel=genPackage.getGenModel();
    stringBuffer.append(TEXT_1);
    stringBuffer.append(TEXT_2);
    {GenBase copyrightHolder = argument instanceof GenBase ? (GenBase)argument : argument instanceof Object[] && ((Object[])argument)[0] instanceof GenBase ? (GenBase)((Object[])argument)[0] : null;
    if (copyrightHolder != null && copyrightHolder.hasCopyright()) {
    stringBuffer.append(TEXT_3);
    stringBuffer.append(copyrightHolder.getCopyright(copyrightHolder.getGenModel().getIndentation(stringBuffer)));
    } else {
    stringBuffer.append(TEXT_4);
    stringBuffer.append("$");
    stringBuffer.append(TEXT_5);
    stringBuffer.append("$");
    }}
    stringBuffer.append(TEXT_6);
    stringBuffer.append(GenModels.getRootGenPackage(genModel).getUtilitiesPackageName());
    stringBuffer.append(TEXT_7);
    genModel.addImport("org.eclipse.emf.common.util.BasicEList");
    genModel.addImport("org.eclipse.emf.common.util.EList");
    genModel.addImport("org.eclipse.emf.ecore.EAnnotation");
    genModel.addImport("org.eclipse.emf.ecore.EClassifier");
    genModel.addImport("org.eclipse.emf.ecore.EPackage");
    genModel.addImport("org.eclipse.emf.ecore.EcoreFactory");
    genModel.addImport("org.eclipse.emf.ecore.impl.EPackageImpl");
    genModel.addImport("org.eclipse.emf.ecore.util.ExtendedMetaData");
    stringBuffer.append(TEXT_8);
    genModel.markImportLocation(stringBuffer);
    stringBuffer.append(TEXT_9);
    stringBuffer.append(GenModels.getUtilityClassSimpleName(genModel, "Package"));
    stringBuffer.append(TEXT_10);
    stringBuffer.append(genModel.getImportedName("org.eclipse.emf.ecore.impl.EPackageImpl"));
    stringBuffer.append(TEXT_11);
    stringBuffer.append(GenModels.getRootGenPackage(genModel).getPackageName());
    stringBuffer.append(TEXT_12);
    stringBuffer.append(GenModels.getEastADLReleaseNamespace(genModel));
    stringBuffer.append(TEXT_13);
    stringBuffer.append(GenModels.getEastADLMMDescriptorID(genModel));
    stringBuffer.append(TEXT_14);
    stringBuffer.append(GenModels.getRootGenPackage(genModel).getPackageName());
    stringBuffer.append(TEXT_15);
    stringBuffer.append(GenModels.getUtilityClassSimpleName(genModel, "Package"));
    stringBuffer.append(TEXT_16);
    stringBuffer.append(GenModels.getUtilityClassSimpleName(genModel, "Package"));
    stringBuffer.append(TEXT_17);
    stringBuffer.append(GenModels.getUtilityClassSimpleName(genModel, "Package"));
    stringBuffer.append(TEXT_18);
    stringBuffer.append(GenModels.getUtilityClassSimpleName(genModel, "Package"));
    stringBuffer.append(TEXT_19);
    stringBuffer.append(GenModels.getUtilityClassSimpleName(genModel, "Package"));
    stringBuffer.append(TEXT_20);
    stringBuffer.append(GenModels.getUtilityClassSimpleName(genModel, "Package"));
    stringBuffer.append(TEXT_21);
    stringBuffer.append(GenModels.getUtilityClassSimpleName(genModel, "Package"));
    stringBuffer.append(TEXT_22);
    stringBuffer.append(GenModels.getUtilityClassSimpleName(genModel, "Package"));
    stringBuffer.append(TEXT_23);
    stringBuffer.append(GenModels.getUtilityClassSimpleName(genModel, "Package"));
    stringBuffer.append(TEXT_24);
    stringBuffer.append(GenModels.getUtilityClassSimpleName(genModel, "Package"));
    stringBuffer.append(TEXT_25);
    stringBuffer.append(GenModels.getUtilityClassSimpleName(genModel, "Package"));
    stringBuffer.append(TEXT_26);
    stringBuffer.append(GenModels.getUtilityClassSimpleName(genModel, "Package"));
    stringBuffer.append(TEXT_27);
    stringBuffer.append(GenModels.getUtilityClassSimpleName(genModel, "Factory"));
    stringBuffer.append(TEXT_28);
    Iterator<GenPackage> iterator = genModel.getAllGenPackagesWithClassifiers().iterator();
    stringBuffer.append(TEXT_29);
    while (iterator.hasNext()) {
    stringBuffer.append(TEXT_30);
    GenPackage currentObject = iterator.next();
    stringBuffer.append(TEXT_31);
    stringBuffer.append(currentObject.getBasePackage());
    stringBuffer.append(TEXT_32);
    stringBuffer.append(currentObject.getPackageName());
    stringBuffer.append(TEXT_33);
    stringBuffer.append(currentObject.getBasicPackageName());
    stringBuffer.append(TEXT_34);
    }
    stringBuffer.append(TEXT_35);
    genModel.emitSortedImports();
    return stringBuffer.toString();
  }
}
