package eaadapter.templates.internal.util;

import org.eclipse.emf.codegen.ecore.genmodel.GenModel;
import org.eclipse.emf.codegen.ecore.genmodel.GenPackage;
import org.eclipse.emf.ecore.EModelElement;

import eaadapter.common.util.ModelConstants;
import eaadapter.common.util.ModelUtil;

public class GenPackages {

	public static String getBaseContentType(GenModel genModel, GenPackage genPackage){
		
		GenPackage rootGenPackage = genModel.getGenPackages().get(0);
		EModelElement ecoreModelElement = rootGenPackage.getEcoreModelElement();
		String value = ModelUtil.getEAAdapterAnnotation(ecoreModelElement, ModelConstants.EAADAPTER_METAMODEL_TYPE);
		
		if(value.equals(ModelConstants.METAMODEL_TYPE_SAFE)){
			return "org.safe.metamodel.safeXMIFile";
		}
		
		return "org.eatop.eel.eastadl.eastadlXMLFile";
		
		//return genPackage.isXMIResource() ? "org.eclipse.emf.ecore.xmi" : "org.eatop.eel.eastadl.eastadlXMLFile";
	}
}
